Introspect OAuth token
Returns the active state and metadata of an OAuth access token (RFC 7662). Client must authenticate with client_id and client_secret (POST body or Basic). Invalid or expired tokens return active false.
Returns the active state and metadata of an OAuth access token (RFC 7662). Client must authenticate with client_id and client_secret (POST body or Basic). Invalid or expired tokens return active false.
apikey<token>
Tenant API Key for authentication
In: query
Path Parameters
OAuthAppName*string
OAuth App Name
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://TenantName.hub.loginradius.com/api/oauth/example_oauth_app/introspect" \ -H "Content-Type: application/json" \ -d '{ "client_id": "68106262-3938-4435-87ed-3e410b360209", "client_secret": "AQvsBHrjOYFNJdvndATLBPoavRZUp1fj4656", "token": "3976a9391e31d3c1cf854c83f9f65078:90f..." }'{
"active": true,
"sub": "699f40ae-8040-42fe-a1cd-e1eb10cf73ef",
"cid": "ddff8a63-cbc3-4723-8415-b910c4d8770d",
"azp": "ddff8a63-cbc3-4723-8415-b910c4d8770d",
"iss": "https://{TenantEndpoint}/service/oidc/{oidcAppName}",
"exp": 1745988311,
"iat": 1745981111,
"nbf": 1745981111,
"gty": "authorization_code",
"scp": [
"openid",
"profile"
],
"aud": [
"string"
],
"jti": "string"
}{
"error": "invalid_request",
"error_description": "The client_id is a required parameter."
}{
"error": "invalid_client",
"error_description": "The client_id is not valid, check your client_id again."
}{
"error": "unauthorized_client",
"error_description": "The client_secret is not valid, check your client_secret again."
}